package com.jpattern.gwt.client.navigationevent;

import java.util.Map;

import com.jpattern.gwt.client.IApplicationProvider;
import com.jpattern.gwt.client.NullApplicationProvider;
import com.jpattern.gwt.client.presenter.IPresenter;

/**
 * 
 * @author Francesco Cina'
 *
 * 12/ago/2011
 */
public class NullNavigationEventWrapper implements INavigationEventWrapper {

	@Override
	public void notifyNavigationEvent(IPresenter parentPresenter,
			Map<String, String> queryStringValues, String[] childrenEvent, boolean registerEvent) {
	}

	@Override
	public String getName() {
		return "";
	}

	@Override
	public String[] getAllowedRole() {
		return new String[0];
	}

	@Override
	public boolean isUserAuthorized() {
		return false;
	}

	@Override
	public boolean isRequireAuthentication() {
		return false;
	}

	@Override
	public IApplicationProvider getProvider() {
		return new NullApplicationProvider();
	}

}
